public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libdvdcss/
Date: Sat, 23 Jan 2021 21:13:30 +0000 (UTC)	[thread overview]
Message-ID: <1611436317.c3ebb570e043ce913899ef393723a1c77e2deccc.asturm@gentoo> (raw)

commit:     c3ebb570e043ce913899ef393723a1c77e2deccc
Author:     David Michael <fedora.dm0 <AT> gmail <DOT> com>
AuthorDate: Tue Jan 19 19:49:14 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Jan 23 21:11:57 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c3ebb570

media-libs/libdvdcss: EAPI 7, drop static-libs

Bug: https://bugs.gentoo.org/766192
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: David Michael <fedora.dm0 <AT> gmail.com>
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-libs/libdvdcss/libdvdcss-1.4.2-r1.ebuild | 28 ++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/media-libs/libdvdcss/libdvdcss-1.4.2-r1.ebuild b/media-libs/libdvdcss/libdvdcss-1.4.2-r1.ebuild
new file mode 100644
index 00000000000..5da3b606967
--- /dev/null
+++ b/media-libs/libdvdcss/libdvdcss-1.4.2-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal
+
+DESCRIPTION="A portable abstraction library for DVD decryption"
+HOMEPAGE="https://www.videolan.org/developers/libdvdcss.html"
+SRC_URI="https://download.videolan.org/pub/${PN}/${PV}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="1.2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x86-solaris"
+IUSE="doc"
+
+BDEPEND="doc? ( app-doc/doxygen )"
+
+multilib_src_configure() {
+	ECONF_SOURCE=${S} econf \
+		--disable-static \
+		$(multilib_native_use_enable doc)
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${ED}" -type f -name '*.la' -delete || die
+}


             reply	other threads:[~2021-01-23 21:13 UTC|newest]

Thread overview: 42+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-01-23 21:13 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-04-17 19:24 [gentoo-commits] repo/gentoo:master commit in: media-libs/libdvdcss/ Sam James
2021-08-26 14:55 Sam James
2021-08-26 14:52 Sam James
2021-08-25 11:16 Agostino Sarubbo
2021-08-25  4:18 Agostino Sarubbo
2021-08-24 23:26 Sam James
2021-08-24 23:26 Sam James
2021-08-24 23:26 Sam James
2021-02-05 22:30 Andreas Sturmlechner
2021-02-04 23:51 Sam James
2021-01-31  7:06 Joonas Niilola
2021-01-30 18:38 Sam James
2021-01-30 16:22 Sam James
2021-01-30 10:04 Sam James
2021-01-30 10:03 Sam James
2021-01-29 20:50 Sam James
2019-07-24 20:56 Aaron Bauman
2018-10-05 20:59 Andreas Sturmlechner
2018-10-05  4:56 Markus Meier
2018-09-14  8:28 Tobias Klausmann
2018-09-09 12:03 Mikle Kolyada
2018-09-07 23:03 Sergei Trofimovich
2018-09-07 22:54 Sergei Trofimovich
2018-09-07 22:43 Sergei Trofimovich
2018-09-03  6:19 Sergei Trofimovich
2018-09-02 23:46 Thomas Deutschmann
2018-04-03 21:02 Matt Turner
2018-03-25 13:48 Alexis Ballier
2018-01-13 12:16 Alexis Ballier
2018-01-13 12:16 Alexis Ballier
2017-12-09 18:41 Craig Andrews
2017-11-28  7:05 Sergei Trofimovich
2017-09-30 23:44 Thomas Deutschmann
2017-09-26 22:34 Manuel Rüger
2017-09-08 19:24 Markus Meier
2017-09-04  7:30 Tobias Klausmann
2017-08-25  7:03 Sergei Trofimovich
2017-08-23 21:43 Sergei Trofimovich
2017-08-23 10:44 Tim Harder
2017-06-23  5:20 Alexis Ballier
2015-12-23  0:07 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1611436317.c3ebb570e043ce913899ef393723a1c77e2deccc.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox